# Runs

## Recent Runs

You can view the recent runs belonging to your organization(s) by going to the [Runs tab in Pipekit](https://pipekit.io/runs).

From here you can see all past runs of the Pipe. The view allows you to understand what [Run Conditions](/pipekit/pipes/managing-pipes/run-sync-conditions.md) triggered the run, the cluster the run ran on, the status of the run, the current progress of the run (if still running), the time the run started, and the duration of the run.

## More information about a Run

To access detailed information about a specific run, simply click on it. This action will direct you to the run graph, where you can view the [graphical representation of the run](/pipekit/pipes/pipe-runs/run-graph.md), check the [pod logs](/pipekit/pipes/pipe-runs/pod-logs.md), and review the [workflow logs](/pipekit/pipes/pipe-runs/workflow-logs.md).

## Linking to Pipekit Pipe Runs from the Argo Workflows UI

You can add a link to the Argo Workflows UI that takes users from a Workflow in Argo Workflows directly to the corresponding Run in Pipekit.

Add the following to your Workflow Controller ConfigMap:

```yaml
apiVersion: v1
kind: ConfigMap
metadata:
  name: workflow-controller-configmap
data:
  links: |
    # Adds a button to the workflow page that takes the user to the Pipe Run in Pipekit
    - name: View in Pipekit
      scope: workflow
      url: https://pipekit.io/pipes/${workflow.metadata.labels.workflows.pipekit.io/pipe_uuid}/runs/${workflow.metadata.labels.workflows.pipekit.io/run_uuid}
    # Adds a button to the sidebar that takes the user to the pod's details view in Pipekit
    - name: View in Pipekit
      scope: pod
      url: https://pipekit.io/pipes/${workflow.metadata.labels.workflows.pipekit.io/pipe_uuid}/runs/${workflow.metadata.labels.workflows.pipekit.io/run_uuid}/workflow?pod-name=${metadata.name}

```

Then restart your Workflow Controller and Argo Server instances.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pipekit.io/pipekit/runs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
